---
tags: ['verb-tag-jscomments']
---
# {%= name %} {%= badge("fury") %}

> {%= description %}

## Table of Contents

<!-- toc -->

## Install
{%= include("install", {save: '--save'}) %}

## Tests

Run `mocha` or `npm test` to run the tests. [Visit the tests](test) to learn how this works.

## Getting started

Create a new instance:

```js
// optionally pass a default `context`
var rte = new Route({root: '_gh_pages', ext: '.html'});
```

Next, define some routes to use:

```js
rte.set('site', ':root/:basename/index:ext');
rte.set('blog', ':root/blog/:basename/index:ext');
```

Last, generate your destination paths:

```js
// use the `site` route to create the dest filepath
var dest = rte.dest('src/templates/about.hbs', 'site');
// => '_gh_pages/about/index.html'

// use the `blog` route to create the dest filepath
var dest = rte.dest('src/templates/about.hbs', 'site');
// => '_gh_pages/blog/about/index.html'
```

Override the default context:

```js
var dest = rte.dest('src/templates/about.hbs', 'site', {root: 'dist'});
// => 'dist/blog/about/index.html'
```

## API
{%= jscomments("index.js") %}

## Contributing
{%= contrib("contributing") %}

## Authors
{%= include("author") %}

## License
{%= copyright() %}
{%= license() %}

***

{%= include("footer") %}